Creates a new article status list
Request Information
URI Parameters :
None.
Body Parameters :
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "dd3825e3-f4d8-48a5-8bc4-8672ee5e6bef",
"article_status_id": "fa2df61f-b946-4213-a369-4bd13fac203d",
"article_id": "95e9a6a7-ac0c-48be-90b9-32c3970f36f5",
"article_code": "sample string 4",
"sales_organization_id": "7125aeb0-d1b1-4f4c-a093-a997f4cfd4b1",
"modified_dateutc": "2026-05-03T19:23:59.2373619+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.